#ifndef _DGROUPBOX_H_
#define _DGROUPBOX_H_

#include <qwidget.h>
#include <qgroupbox.h>
#include <iostream.h>
#include <qpopupmenu.h>
#include <math.h>
#include "DEPaintWindow.H"

class DPaintWindow;
class DScrollWidget;

class DGroupBox: public QGroupBox
{
public: 
  DGroupBox (QPopupMenu* view = 0, int index = 0, QWidget * parent = 0, const char * name = 0 );
  ~DGroupBox();
  void setSon (DScrollWidget* son);
  void setGrandson (DPaintWindow * gs);
  bool close(bool);
  void setViewVals(QPopupMenu* view, int index);
  int getMarkedDeleted();
  void markDeleted();
  char* getName();
  void redoGeometryCalculations();
  void moveScrollBars(float ratio_x, float ratio_y);

protected:
  virtual void resizeEvent ( QResizeEvent * e );
private:
  DScrollWidget* _son;
  DPaintWindow* _grandson;
  QPopupMenu* _view;
  int _index;
  char* _name;
  int markedDeleted;
};

#endif
