/* -*-Mode:c++-*- */


//////////////////////////////////////////////////////////////////////////////
//
// NAME: Mitch Cherniack (mfc@cs.brown.edu)					 	 
// FILE: main.c
// PROJ: QLite -> KOLA Translator
// DATE: 7/98
//
//////////////////////////////////////////////////////////////////////////////

#include "KGlobals.H"

#include "QLParser.H"
#include "KOObject.H"
#include "KOBool.H"
#include "ENEnvironment.H"
#include "TYTUnk.H"
#include "TYTSet.H"
#include "TYTInt.H"
#include "TYTTup.H"
#include "QLAuxCode.H"

#include <iostream.h>
#include <fstream.h>

//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name:  main
// Parameters:	   int, char * []	
// Returns:
//
// Parses all query files provided as input:
//
//   e.g.  parse query1 query2 ... queryn
//
// printing out their resulting KOLA trees in succession.
//         								    
//////////////////////////////////////////////////////////////////////////////

main (int argc, char *argv[])  {

  char *rep;
  
	int c;
	char ch;
    
    int res = T;
    int type = F;
    int oql = T;
    int pretty = T;
    ++argv;
		  if (pretty) {
			cout << "======================================================================" << endl;
		   	cout << "Processing: " << *argv << endl << endl;
		  };

		  QLParser *p = new QLParser ();

		  if (p == NULL)
			cout << "Null Parser Object." << endl;
		  else {		    
            p -> setInput (*argv);
			NonType *k = p -> parse ();
			if (k == NULL) {
			  cout << "Parse Failed" << endl;
			  delete k;
			} else {					
  			  rep =  k -> representation ();
			  if (res == T) {
				if (pretty)
				  cout << "KOLA" << endl << "====" << endl;
				cout << rep << endl << endl;
			  };				  
			  delete [] rep;
			  delete k;			  
			};
			
			if (oql == T) {
			  if (pretty)
				cout << "QLite" << endl << "=====" << endl << *argv << endl;
			  //			  ifstream f(*argv);
			  //			  char c;
			  //			  while (f.get(c)) cout << c;
			  //			  cout << endl << endl;
			};
		  };
		  		  delete p;

		  //		  argv++;
		  // };
		  //}
};








