#include "DEVertSplit.H"

DVertSplit::DVertSplit(MyMainWindow *parent=0, const char *name=0, QMultiLineEdit* top, QMultiLineEdit* bottom) : QSplitter(parent,name)
{
  setOrientation(Vertical);
  topEdit = top;
  bottomEdit = bottom;
  palette = QWidget::palette();
  parentWid=parent;
  //QValueList<int> temp(sizes()); 
  //int x = temp.first();
  //int y = temp.last();
  //cout << x << " " << y << " " << sizes().first() << " " << sizes().last() << endl;
  
  QValueList<int> sizes;
  sizes << 200;
  sizes << 100;
  setSizes(sizes);
  //x = x + 20;
  //y = y - 20;
  //delete temp;
}

void DVertSplit::setRelativeSizes(int a, int b)
{
  QValueList<int> sizes;
  sizes << a;
  sizes << b;
  setSizes(sizes);
}

void DVertSplit::dealWithSelection(QString* str)
{
  parentWid->dealWithSelection(str);
}

void DVertSplit::setNormalPalette()
{
  palette.setColor( QColorGroup::Foreground, Qt::red );
  palette.setColor( QColorGroup::Text, Qt::black );
  palette.setColor( QColorGroup::Base, Qt::white );
  setPalette(palette);
}

void DVertSplit::setCurrPalette()
{
  palette.setColor( QColorGroup::Foreground, Qt::red );
  palette.setColor( QColorGroup::Text, Qt::cyan );
  palette.setColor( QColorGroup::Base, Qt::gray );
  setPalette(palette);
}
