//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Daniel Abadi
//  FILE: DEVisNodeInfo.H
//  PROJ: COKO DEBBUGGER
//  DATE: WINTER 2002                                                    
//
// SYNOPSIS
//  Class definition for visual node display. This will contain the location
//  of the top left corner and the bottom right corner of a node used in the
//  visual display of a COKO tree. This is used in DEPaintWindow.H
//  
//////////////////////////////////////////////////////////////////////////////


#ifndef _DVISNODEINFO_H_
#define _DVISNODEINFO_H_

class DVisNodeInfo
{
public:
  int _top;
  int _left;
  int _bottom;
  int _right;

  DVisNodeInfo(int,int,int,int);

};

#endif

