//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon-Suk Lee (jl)
//  FILE: PCCond.H
//  PROJ: COKO
//  DATE: 8/97                                                              
//
// SYNOPSIS
// Class definitions for CCond.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCCOND_H_
#define _PCCOND_H_
#define MAXARG 20

#include <fstream.h>
#include <stdlib.h>
#include <iostream.h>
#include <stdarg.h>
#include "KONonType.H"
#include "PCStmt.H"
#include <strstream.h>
#include "NonTypeArgs.H"
#include "Property.H"

//////////////////////////////////////////////////////////////////////////////
//
//  CLASS: CCond
//
// SYNOPSIS
//
//////////////////////////////////////////////////////////////////////////////

class CCond
{

private:
  Property *prop;
  // the property we wish to evaluate

  NonTypeArgs* args;
  // variable list  

public:
  CCond(Property *, NonTypeArgs * );                       
  // Constructor
  
  ~CCond();                      
  // Destructor
 
  CState *Exec(CState *);
  // What to do when executed

};

#endif
